%define name liboil
%define version 0.1
%define major 0.1
%define mdkversion		%(perl -pe '/(\\d+)\\.(\\d)\\.?(\\d)?/; $_="$1$2".($3||0)' /etc/mandrake-release)
%if %mdkversion <= 900
%define libname %name%major
%else
%define libname %mklibname oil %major
%endif
%define cvs 20040401
%define release 0.%cvs.4mdk

Summary: Optimized functions for multimedia calculations
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{cvs}.tar.bz2
Patch0: liboil-ppc-build-fix.patch.bz2
Patch1: liboil-64bit-fixes.patch.bz2
License: LGPL
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://www.schleef.org/liboil/
BuildRequires: glib2-devel
BuildRequires: automake1.7

%description
Liboil is a library of simple functions that are optimized for various
CPUs. These functions are generally loops implementing simple
algorithms, such as converting an array of N integers to
floating-poing numbers or multiplying and summing an array of N
numbers. Clearly such functions are candidates for significant
optimization using various techniques, especially by using extended
instructions provided by modern CPUs (Altivec, MMX, SSE, etc.).

%package -n %libname
Summary: Optimized functions for multimedia calculations
Group: System/Libraries

%description -n %libname
Liboil is a library of simple functions that are optimized for various
CPUs. These functions are generally loops implementing simple
algorithms, such as converting an array of N integers to
floating-poing numbers or multiplying and summing an array of N
numbers. Clearly such functions are candidates for significant
optimization using various techniques, especially by using extended
instructions provided by modern CPUs (Altivec, MMX, SSE, etc.).

%package -n %libname-devel
Summary: Optimized functions for multimedia calculations
Group: Development/C
Requires: %libname = %version-%release
Provides: liboil-devel = %version-%release

%description -n %libname-devel
Liboil is a library of simple functions that are optimized for various
CPUs. These functions are generally loops implementing simple
algorithms, such as converting an array of N integers to
floating-poing numbers or multiplying and summing an array of N
numbers. Clearly such functions are candidates for significant
optimization using various techniques, especially by using extended
instructions provided by modern CPUs (Altivec, MMX, SSE, etc.).


%package -n %libname-static-devel
Summary: Optimized functions for multimedia calculations
Group: Development/C
Requires: %libname-devel = %version-%release

%description -n %libname-static-devel
Liboil is a library of simple functions that are optimized for various
CPUs. These functions are generally loops implementing simple
algorithms, such as converting an array of N integers to
floating-poing numbers or multiplying and summing an array of N
numbers. Clearly such functions are candidates for significant
optimization using various techniques, especially by using extended
instructions provided by modern CPUs (Altivec, MMX, SSE, etc.).

%prep
%setup -q -n %name
%patch0 -p1 -b .ppc-build-fix
%patch1 -p1 -b .64bit-fixes
aclocal-1.7 -I m4
libtoolize --force
autoheader
autoconf
automake-1.7 -a --foreign
%build
%configure2_5x
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(-,root,root)
%_libdir/liboil*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%_includedir/liboil*
%_libdir/liboil*.so
%_libdir/liboil*.la
%_libdir/pkgconfig/*.pc

%files -n %libname-static-devel
%defattr(-,root,root)
%_libdir/liboil*.a


%changelog
* Mon Sep 20 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.1-0.20040401.4mdk
- build fixes

* Sun Jul 11 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.1-0.20040401.3mdk
- Patch0: fix ppc build

* Wed Apr 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1-0.20040401.2mdk
- fix buildrequires

* Fri Apr  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1-0.20040401.1mdk
- initial package
